<div class="fluid-container d-flex justify-content-center flex-column mt-3">
  <div class="title align-self-center">Login</div>
  <form [formGroup]="loginForm" (submit)="onSubmit()" class="d-flex flex-column">
    <div class="d-flex justify-content-center mb-4">
      <mat-form-field>
        <mat-label>Email</mat-label>
        <input matInput placeholder="Email" formControlName="email" />
        <mat-error *ngIf="loginForm.get('email').hasError('required')"
          >Email is required</mat-error
        >
        <mat-error *ngIf="loginForm.get('email').hasError('email')"
          >Invalid email</mat-error
        >
        <mat-error *ngIf="loginForm.get('email').hasError('maxlength')"
          >Max length of email is 70 characters</mat-error
        >
      </mat-form-field>
    </div>

    <div class="d-flex justify-content-center mb-4">
      <mat-form-field>
        <mat-label>Password</mat-label>
        <input
          matInput
          type="password"
          placeholder="Password"
          formControlName="password"
        />
        <mat-error *ngIf="loginForm.get('password').hasError('required')"
          >Password is required</mat-error
        >
        <mat-error *ngIf="loginForm.get('password').hasError('minlength')"
          >Password min length is 6 characters</mat-error
        >
        <mat-error *ngIf="loginForm.get('password').hasError('maxlength')"
          >Password max length is 200 characters</mat-error
        >
      </mat-form-field>
    </div>

    <div class="d-flex justify-content-center">
      <button
        type="submit"
        mat-raised-button
      >
        Login
      </button>
    </div>
  </form>
</div>
